package com.banesco.infrastructure.rest.mappers;

import com.banesco.domain.bian.request.BusUpdateCardStatusRequest;
import com.banesco.domain.models.CurrentState;
import com.banesco.infrastructure.dtos.card.UpdateCardStatusRequest;
import jakarta.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class PaymentCardMapper {


    public UpdateCardStatusRequest toBusinessRequest(
            CurrentState currentState,
            BusUpdateCardStatusRequest receptionRequest
    ) {

        UpdateCardStatusRequest request = new UpdateCardStatusRequest(
                currentState.requestId(),
                receptionRequest.getCustomerReferenceFintechId(),
                receptionRequest.getCustomerReference(),
                receptionRequest.getDevice(),
                receptionRequest.getCardReference()

        );


        return request;

    }
}
